# kyotocabinet::File::Status Struct Reference

Status information. More...

`#include <kcfile.h>`

List of all members.

## Public Attributes

bool | isdir
| whether directory or not
int64_t | size
| file size
int64_t | mtime
| last modified time

## Detailed Description

Status information.

## Member Data Documentation

bool kyotocabinet::File::Status::isdir

whether directory or not

int64_t kyotocabinet::File::Status::size

file size

int64_t kyotocabinet::File::Status::mtime

last modified time